www/p5-Catalyst-Plugin-ConfigLoader - The NetBSD Packages Collection

Load Catalyst config from YAML file

This module will attempt to load find and load a configuration file
of various types. Currently it supports YAML, JSON, XML, INI and
Perl formats. Special configuration for a particular driver format
can be stored in

MyApp->config->{ 'Plugin::ConfigLoader' }->{ driver }.

Build dependencies

pkgtools/cwrappers archivers/gtar-base

Runtime dependencies

www/p5-Catalyst-Runtime devel/p5-Config-Any devel/p5-Data-Visitor devel/p5-MRO-Compat lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
aarch64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
aarch64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
alpha:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
alpha:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
alpha:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earm:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earm:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
earm:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 8.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 8.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
i386:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 8.0)
i386:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
i386:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
i386:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
i386:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
i386:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
m68k:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
mips64eb:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
mips64eb:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
powerpc:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
powerpc:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
powerpc:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
powerpc:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
powerpc:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
sh3el:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
sh3el:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
sparc64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
sparc64:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
sparc64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
sparc:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
sparc:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 8.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 8.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.34nb5.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Plugin-ConfigLoader-0.35.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]